package com.fufan.mtsaas.modules.sysmgr.sygroup.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupDeptQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupDeptSaveBatchRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupDeptSaveRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.model.SYgroupDept;
/**
 *  服务类
 *
 * @author Liby
 * @since 2019-08-18
 */
public interface SYgroupDeptSvc extends IService<SYgroupDept> {

    Result doQueryPage(GroupDeptQueryRequest map);

    Result doSave(SYgroupDept entity, RequestPojo requestPojo);

    Result doUpdate(SYgroupDept entity, RequestPojo requestPojo);

    Result doDelete(GroupDeptQueryRequest map, RequestPojo requestPojo);

    Result doSaveMap(GroupDeptSaveRequest map, RequestPojo requestPojo);

    Result doUpdateMap(GroupDeptSaveRequest map, RequestPojo requestPojo);

    Result doQueryUnSelectPage(GroupDeptQueryRequest map);

    Result doBatchUpdate(GroupDeptSaveBatchRequest map, RequestPojo requestPojo);
}
